libpagemaker::PMDLineSet Class Reference documentation

Public Member Functions | List of all members
libpagemaker::PMDLineSet Class Referenceabstract

`#include <geometry.h>`

Inheritance diagram for libpagemaker::PMDLineSet:

## Public Member Functions
virtual std::vector< PMDShapePoint > | getPoints () const =0
virtual bool | getIsClosed () const =0
virtual double | getRotation () const =0
virtual double | getSkew () const =0
virtual PMDShapePoint | getRotatingPoint () const =0
virtual PMDShapePoint | getXformTopLeft () const =0
virtual PMDShapePoint | getXformBotRight () const =0
virtual uint8_t | shapeType () const =0
virtual PMDShapePoint | getBboxTopLeft () const =0
virtual PMDShapePoint | getBboxBotRight () const =0
virtual PMDFillProperties | getFillProperties () const =0
virtual PMDStrokeProperties | getStrokeProperties () const =0
virtual std::string | getText () const =0
virtual std::vector< PMDCharProperties > | getCharProperties () const =0
virtual std::vector< PMDParaProperties > | getParaProperties () const =0
virtual librevenge::RVNGBinaryData | getBitmap () const =0
virtual | ~PMDLineSet ()

## Constructor & Destructor Documentation

## ◆ ~PMDLineSet()

virtual libpagemaker::PMDLineSet::~PMDLineSet | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ getBboxBotRight()

virtual PMDShapePoint libpagemaker::PMDLineSet::getBboxBotRight | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getBboxTopLeft()

virtual PMDShapePoint libpagemaker::PMDLineSet::getBboxTopLeft | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getBitmap()

virtual librevenge::RVNGBinaryData libpagemaker::PMDLineSet::getBitmap | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getCharProperties()

virtual std::vector< PMDCharProperties > libpagemaker::PMDLineSet::getCharProperties | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getFillProperties()

virtual PMDFillProperties libpagemaker::PMDLineSet::getFillProperties | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getIsClosed()

virtual bool libpagemaker::PMDLineSet::getIsClosed | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getParaProperties()

virtual std::vector< PMDParaProperties > libpagemaker::PMDLineSet::getParaProperties | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getPoints()

virtual std::vector< PMDShapePoint > libpagemaker::PMDLineSet::getPoints | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

Referenced by libpagemaker::getBoundingBox().

## ◆ getRotatingPoint()

virtual PMDShapePoint libpagemaker::PMDLineSet::getRotatingPoint | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getRotation()

virtual double libpagemaker::PMDLineSet::getRotation | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getSkew()

virtual double libpagemaker::PMDLineSet::getSkew | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getStrokeProperties()

virtual PMDStrokeProperties libpagemaker::PMDLineSet::getStrokeProperties | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getText()

virtual std::string libpagemaker::PMDLineSet::getText | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getXformBotRight()

virtual PMDShapePoint libpagemaker::PMDLineSet::getXformBotRight | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ getXformTopLeft()

virtual PMDShapePoint libpagemaker::PMDLineSet::getXformTopLeft | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

## ◆ shapeType()

virtual uint8_t libpagemaker::PMDLineSet::shapeType | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDLine, libpagemaker::PMDPolygon, libpagemaker::PMDRectangle, and libpagemaker::PMDTextBox.

The documentation for this class was generated from the following file:

- geometry.h